LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
KNumberFormatUsage.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::KNumberFormatUsage
| Category of number format code.

## Variables
const short | DATE = 1
| Date format, for example, "YYYY-MM-DD". More...
const short | TIME = 2
| Time format, for example, "HH:MM:SS". More...
const short | DATE_TIME = 3
| Mixed date/time format, for example, "YYYY-MM-DD HH:MM:SS". More...
const short | FIXED_NUMBER = 4
| Numeric format, for example, "#,##0.00". More...
const short | FRACTION_NUMBER = 5
| Fractional format, for example, "# ??/??". More...
const short | PERCENT_NUMBER = 6
| Percent format, for example, "0.00%". More...
const short | SCIENTIFIC_NUMBER = 7
| Scientific format, for example, "0.00E+00". More...
const short | CURRENCY = 8
| Currency format, for example, "#,##0.00 [$EUR]". More...